For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Details
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert BigCommerce Customer Group into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company Catalog
              • PUTUpdate Company Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompanies

Convert BigCommerce Customer Group into Company

POST
https://api-b2b.bigcommerce.com/api/v3/io/customer-groups/:customerGroupId/companies
POST
/api/v3/io/customer-groups/:customerGroupId/companies
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/customer-groups/123/companies \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "companyName": "Great Buys Inc.",
> "companyPhone": "8001234567",
> "companyEmail": "admin@greatbuys.com",
> "country": "United States",
> "adminEmail": "m.curie@greatbuys.com",
> "adminPhoneNumber": "8001234567",
> "catalogId": "123456",
> "acceptCreationEmail": true,
> "city": "Austin",
> "state": "Texas",
> "adminFirstName": "Marie",
> "adminLastName": "Curie",
> "extraFields": [
> {
> "fieldName": "Tax ID",
> "fieldValue": "98-7654321"
> }
> ],
> "addressLine1": "123 Main Street",
> "addressLine2": "Building 100",
> "zipCode": "78726",
> "description": "Primary company account for Great Buys Inc."
>}'
1{
2 "code": 200,
3 "data": {
4 "companyId": 147340
5 },
6 "meta": {
7 "message": "SUCCESS"
8 }
9}
Creates a Company account that is automatically assigned to a BigCommerce customer group. You cannot create a Company from a customer group that already has an assigned Company account. Note that this endpoint **is not supported** if your store: * Has Multi-Storefront enabled * Is using Independent Companies behavior If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the extraFields array of the request body. For more information on extra fields, see [B2B Edition Settings](https://support.bigcommerce.com/s/article/B2B-Edition-Settings) in the Help Center.
Was this page helpful?
Previous

Delete Company

Next

Bulk Create Companies

Built with

Creates a Company account that is automatically assigned to a BigCommerce customer group. You cannot create a Company from a customer group that already has an assigned Company account.

Note that this endpoint is not supported if your store:

  • Has Multi-Storefront enabled
  • Is using Independent Companies behavior

If you have configured required information fields in your store’s Extra Fields settings for Company accounts or Company users, you must include the field’s name and value in the extraFields array of the request body. For more information on extra fields, see B2B Edition Settings in the Help Center.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

customerGroupIdstringRequired
The BigCommerce customer group ID associated with the Company account.

Request

User Extra Field Values
companyNamestringRequired<=200 characters
The name of the business associated with the Company account.
companyPhonestringRequired<=50 characters
The primary phone number for the Company account.
companyEmailstringRequiredformat: "email"<=200 characters
The primary email address for the Company account.
countrystringRequired>=1 character
adminEmailstringRequiredformat: "email"1-100 characters

The email address of the Company account administrator. If an existing BigCommerce customer account uses this email address, it is automatically linked to the administrator’s Company user account.

adminPhoneNumberstringRequired1-100 characters
The phone number of the Company account administrator.
catalogIdstringOptional
The ID of the price list assigned to the Company account. This field is read-only for stores using [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior). If your store uses legacy Dependent Companies behavior **and** it does not have Multi-Storefront enabled, this field is **required** for creating new Company accounts. If your store has Multi-Storefront enabled, use the `priceListAssign` array instead.
acceptCreationEmailbooleanOptionalDefaults to false

Indicates whether or not the administrator receives a welcome email when the Company account is created.

true: Sends the welcome email to the admin user

false: Does not send the email

citystringOptional>=1 character
statestringOptional>=1 character
adminFirstNamestringOptional1-100 characters
The first name of the Company account administrator.
adminLastNamestringOptional1-100 characters
The last name of the Company account administrator.
extraFieldslist of objectsOptional
userExtraFieldslist of objectsOptional

Response

OK
codeinteger
dataobject
metaobject

Errors

400
Bad Request Error
404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

The ID of the price list assigned to the Company account. This field is read-only for stores using Independent Companies Behavior.

If your store uses legacy Dependent Companies behavior and it does not have Multi-Storefront enabled, this field is required for creating new Company accounts. If your store has Multi-Storefront enabled, use the priceListAssign array instead.